JeTs - Joomla ETS

JeTs, anteriormente conocido como JoomlaETS (Joomla EasyTeck services), es un proyecto desarrollado por EasyTeck services (división de Desarrollo de Aplicaciones Web de NawesCorp), que por un lado ofrece una excelente alternativa de un paquete de instalación Joomla totalmente en español y por otro lado introduce algunas características bastante deseables en un solo y sencillo paquete instalable Joomla.

Importante: JeTs 1.7/2.5 requieren PHP versión 5.2.4 o mayor

El proceso de instalación y uso de nuestro JeTs es 100% Joomla, así que no habrán sorpresas ni cambios radicales a lo que cualquiera, con poca o mucha experiencia previa en Joomla, no haya experimentado ya, con la enorme ventaja de que muchas características estarán inmediatamente disponibles luego de la instalación, tales como la interface de administración que tiene una cara totalmente diferente a la típica de Joomla y que ayuda no solo a la agilidad en su manejo sino incluso a la sensación de no verse y usarse como un Joomla convencional.

El proyecto nace de la necesidad nuestra de disponer de un paquete de instalación que ya contenga muchas de las características y extensiones que usamos frecuentemente en nuestros proyectos web, ayudándonos así a ahorrar mucho tiempo y esfuerzo en estas tareas de pre configuración y puesta a punto de una instalación de Joomla típica, pudiendo tener un JeTs instalado y pre configurado en menos de 10 minutos. Algunas de las características incluidas en nuestra compilación JeTs son:

  • Plantilla de Administración (BackEnd) APlite de AdminPraise totalmente en Español para versión 1.5.
  • Plantilla de Administración (BackEnd) MissionControl de RocketTheme totalmente en Español para versiones 1.7 y 2.5.
  • Plantilla del Sitio (FrontEnd) Quasar de RocketTheme totalmente en Español para la versión 1.5.
  • Plantilla del Sitio (FrontEnd) SiteGround de SiteGround totalmente en Español para la versión 1.7.
  • Plantilla del Sitio (FrontEnd) Meembo-Red de HurricaneMedia para la versión 2.5.
  • Componente del framework Gantry desarrollado por RocketTheme y usado en Quasar para la versión 1.5.
  • Componente y Módulo RokNavMenu para implementación de Menús desplegables tipo Fusion para la versión 1.5.
  • Introducción del directorio de librerías easyteck con funciones de uso común, Ajax y Geo Localización de IPs para todas las versiones.
  • Librería jsHttpRequest adaptada a JeTs para desarrollo rápido de extensiones que usen AJAX para todas las versiones.
  • Código completo de nuestro componente com_ajax de ejemplo y/o guía de uso de jsHttpRequest para todas las versiones.
  • Librería GeoIP para la consulta de localización geográfica de una dirección IP para todas las versiones.
  • Introducción de jetsfw.php que permite usar a JeTs como un FrameWork para desarrollo de aplicaciones para todas las versiones.

Conservando la filosofía de NawesCorp, y porsupuesto la del propio Joomla, JeTs se distribuye bajo la misma licencia GNU y con al menos las mismas garantías del paquete original. Para descargarlo usa el botón a continuación:

Importante: JeTs 1.7/2.5 requieren PHP versión 5.2.4 o mayor.

  • La versión 1.5 LTS (Long Term Service) finaliza su ciclo de vida estimativamente el 11 de abril de 2012.
  • La versión 1.7 STS (Short Term Service) finaliza su ciclo de vida el 28 de febrero de 2012.
  • Seguiremos soportando la versión LTS (1.5) de JeTs hasta el fin de su ciclo de vida.
  • A partir del 01 de febrero de 2012, dejaremos de soportar y aplicar parches a la versión 1.7 pues la 2.5 es la evolución natural de ella. Es mejor (y sencillo) actualizar cualquier sitio con JeTs 1.7 a 2.5 que seguir manteniéndolo y actualizándolo dentro de la serie de 1.7.
  • Cualquier requerimiento de soporte o ayuda en los procesos de migración/actualización entre versiones, favor contactarse con nosotros que estaremos gustosos de poder ayudarles.

Bitácora de Cambios 1.5Bitácora de Cambios 1.7Bitácora de Cambios 2.5